<template>
  <div>
    <div class='app'>
      <a-checkbox-group @change='onChange' v-model="checkedList">
<!--        <a-checkbox v-for='item in data' :key='item.id' :value='item.name' style='width: 180px;'>
          {{ item.name }}
        </a-checkbox>-->
        <a-row>
          <a-col :span="8"  v-for='item in data' :key='item.id' >
            <a-checkbox :value='item.name'>
              {{ item.name }}
            </a-checkbox>
          </a-col>
        </a-row>

      </a-checkbox-group>
    </div>
  </div>
</template>

<script>
import { getAction } from '@api/manage'

export default {
  name: 'DepartPostCheckList',
  props: {
    data: {
      type: Array,
      required: true
    }
  },
  mounted() {

  },
  data() {
    return {
      checkedList:[]
    }
  },
  methods: {

    onChange(checkedValues) {
      this.$emit("ok",checkedValues)
    },
    clean(){
      Object.assign(this, {
        checkedList:[],
        indeterminate: false,
        checkAll:false,
      });
       this.$emit("ok",this.checkedList)
    }
  }
}
</script>

<style lang='less' scoped>

.app {
  width: 600px;
}
</style>